ShipStation API allows you to connect your existing LTL carrier accounts programmatically rather than via the dashboard. You'll add the credentials required to access the carrier's API using the requests described below. Keep in mind that rates will be based on the account information you provide in the quote request.
- The
carrier_codefor your LTL carrier. This code will be passed in the URL as a query string. This is what tells ShipStation API which carrier you are connecting.
The carrier codes are mapped to the carriers' SCACs, and many carriers have more than one. The SCACs may correspond to different services or other arrangements that the carrier offers. For more information about the individual SCACs listed, contact the carrier.
Each LTL carrier uses its own format for authentication, so the information your application must pass to connect an account through ShipStation API depends on the carrier. You can find the requirements for connecting each LTL carrier available through ShipStation API, including the credential requirements, and an example request, below.
Additionally, you can list the credential requirements for a specific carrier.
NOTE: These credentials are used to authorize access to the carrier's API. You will provide your account information for billing purposes when you create a quote or schedule a pickup.
While the connection request body looks different for each carrier, the response from ShipStation API has the same shape regardless of which carrier you are using. An example request is included with the credential requirements for each carrier, and the example response below applies to all carriers.
The response includes the carrier_id that ShipStation API has assigned to this carrier connection within your ShipStation API account. This carrier_id is only valid for your account. You will use this carrier_id in subsequent requests.
{
"carrier_id": "car_vsY7PLz7KEs48vh9"
}AAA Cooper Transportation
| Property | Type | Required | Description |
|---|---|---|---|
key | string | ✔ | The key provided by the carrier. |
account_number | string | ✔ | The account number for your account with the carrier. |
POST /v-beta/ltl/connections/aact
POST /v-beta/ltl/connections/aact HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"credentials": {
"key": "The key provided by the carrier.",
"account_number": "The account number for your account with the carrier."
}
}ABF Freight Systems Inc.
| Property | Type | Required | Description |
|---|---|---|---|
username | string | ✔ | The API ID generated by the carrier. |
account_number | string | ✔ | The account number for your account with the carrier. |
POST /v-beta/ltl/connections/abfs
POST /v-beta/ltl/connections/abfs HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"credentials": {
"username": "The API ID generated by the carrier.",
"account_number": "The account number for your account with the carrier."
}
}
A. Duie Pyle Inc.
| Property | Type | Required | Description |
|---|---|---|---|
username | string | ✔ | Your aduiepyle.com Username. |
password | string | ✔ | Your aduiepyle.com Password. |
account_number | string | ✔ | The account number for your account with the carrier. |
POST /v-beta/ltl/connections/pyle
POST /v-beta/ltl/connections/pyle HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"credentials": {
"username": "Your aduiepyle.com Username.",
"password": "Your aduiepyle.com Password.",
"account_number": "The account number for your account with the carrier."
}
}
Averitt Express Inc.
| Property | Type | Required | Description |
|---|---|---|---|
key | string | ✔ | Your averittexpress.com API Key. |
username | string | ✔ | Your averittexpress.com Username. |
password | string | ✔ | Your averittexpress.com Password. |
account_number | string | ✔ | The account number for your account with the carrier. |
POST /v-beta/ltl/connections/avrt
POST /v-beta/ltl/connections/avrt HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"credentials": {
"key": "Your averittexpress.com API Key.",
"username": "Your averittexpress.com Username.",
"password": "Your averittexpress.com Password.",
"account_number": "The account number for your account with the carrier."
}
}
Central Freight Lines
| Property | Type | Required | Description |
|---|---|---|---|
username | string | ✔ | Your centralfreight.com Username. |
password | string | ✔ | Your Your centralfreight.com Password. |
account_number | string | ✔ | The account number for your account with the carrier. |
POST /v-beta/ltl/connections/cenf
POST /v-beta/ltl/connections/cenf HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"credentials": {
"username": "Your centralfreight.com Username.",
"password": "Your centralfreight.com Password",
"account_number": "The account number for your account with the carrier."
}
}
Central Transport
| Property | Type | Required | Description |
|---|---|---|---|
key | string | ✔ | Access Code provided by the carrier. |
account_number | string | ✔ | The account number for your account with the carrier. |
POST /v-beta/ltl/connections/ctii
POST /v-beta/ltl/connections/ctii HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"credentials": {
"key": "Access Code provided by the carrier.",
"account_number": "The account number for your account with the carrier."
}
}
Daylight Transport LLC
| Property | Type | Required | Description |
|---|---|---|---|
username | string | ✔ | MyDaylight username. |
password | string | ✔ | MyDaylight password. |
account_number | string | ✔ | The account number for your account with the carrier. |
POST /v-beta/ltl/connections/dylt
POST /v-beta/ltl/connections/dylt HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"credentials": {
"username": "MyDaylight username",
"password": "MyDaylight password.",
"account_number": "The account number for your account with the carrier."
}
}
Day & Ross
| Property | Type | Required | Description |
|---|---|---|---|
username | string | ✔ | Day and Ross Account Email. |
password | string | ✔ | Day and Ross Account Password. |
account_number | string | ✔ | The account number for your account with the carrier. |
POST /v-beta/ltl/connections/dayr
POST /v-beta/ltl/connections/dayr HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"credentials": {
"username": "Day and Ross Account Email.",
"password": "Day and Ross Account Password.",
"account_number": "The account number for your account with the carrier."
}
}
Dayton Freight Lines Inc.
| Property | Type | Required | Description |
|---|---|---|---|
username | string | ✔ | Your daytonfreight.com Username. |
password | string | ✔ | Your daytonfreight.com Password. |
account_number | string | ✔ | The account number for your account with the carrier. |
POST /v-beta/ltl/connections/dafg
POST /v-beta/ltl/connections/dafg HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"credentials": {
"username": "Your daytonfreight.com Username.",
"password": "Your daytonfreight.com Password.",
"account_number": "The account number for your account with the carrier."
}
}
Dependable Highway Express
| Property | Type | Required | Description |
|---|---|---|---|
account_number | string | ✔ | The account number for your account with the carrier. |
POST /v-beta/ltl/connections/dphe
POST /v-beta/ltl/connections/dphe HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"credentials": {
"account_number": "The account number for your account with the carrier."
}
}
Estes Express Lines
| Property | Type | Required | Description |
|---|---|---|---|
username | string | ✔ | Your MyEstes.com Username. |
password | string | ✔ | Your MyEstes.com Password. |
account_number | string | ✔ | The account number for your account with the carrier. |
POST /v-beta/ltl/connections/exla
POST /v-beta/ltl/connections/exla HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"credentials": {
"username": "Your MyEstes.com Username.",
"password": "Your MyEstes.com Password.",
"account_number": "The account number for your account with the carrier."
}
}
FedEx Freight New REST API
This connection information applies to the following SCACs: FXFR and FXNR.
- FedEx LTL Freight Priority (
FXFR) is the premier carrier for all points in the U.S., Canada, and Mexico, specializing in next and second-day markets. - FedEx Freight Economy (
FXNR) is the premier carrier for all points in the U.S, specializing in long-haul markets.
The SCAC is only relevant if you are requesting a quote for contracted rates. For spot quotes and bulk quotes, you can use either SCAC to connect your FedEx Freight account to your ShipStation API account.
| Property | Type | Required | Description |
|---|---|---|---|
username | string | ✔ | FedEx API key or client_id. |
password | string | ✔ | FedEx secret key, or client_secret. |
secret | string | ✔ | Spot Quote Authentication Key generated by the carrier used for volume pricing only. |
securitycode | string | ✔ | Your FedEx account number. |
account_number | string | ✔ | Also your FedEx account number. |
The client_id and client_secret values are generated by FedEx's new REST API developer portal. You must create a FedEx developer account to obtain these credentials, which will require your FedEx account user ID and password.
To learn how to obtain the required credentials, review the steps in this FedEx guide.
POST /v-beta/ltl/connections/:carrier_code
POST /v-beta/ltl/connections/fxfr HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"credentials": {
"account_number": "Your FedEx account number.",
"username": "client_id from FedEx developer portal.",
"password": "client_secret from FedEx developer portal.",
"secret": "Spot Quote Authentication Key generated by the carrier used for volume pricing only.",
"securitycode": "Your FedEx account number."
}
}
Forward Air Inc.
| Property | Type | Required | Description |
|---|---|---|---|
username | string | ✔ | Your API Username. |
password | string | ✔ | Your API Password. |
key | string | ✔ | Access Code provided by the carrier. |
account_number | string | ✔ | The account number for your account with the carrier. |
POST /v-beta/ltl/connections/fwdn
POST /v-beta/ltl/connections/fwdn HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"credentials": {
"username": "Your API Username.",
"password": "Your API Password.",
"key": "Access Code provided by the carrier.",
"account_number": "The account number for your account with the carrier."
}
}
Midwest Motor Express
| Property | Type | Required | Description |
|---|---|---|---|
account_number | string | ✔ | The account number for your account with the carrier. |
POST /v-beta/ltl/connections/midw
POST /v-beta/ltl/connections/midw HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"credentials": {
"account_number": "The account number for your account with the carrier."
}
}
Oak Harbor Freight Lines Inc.
| Property | Type | Required | Description |
|---|---|---|---|
key | string | ✔ | API Key provided by the carrier. |
username | string | ✔ | Email address used to register for MyOHFL at oakh.com. |
account_number | string | ✔ | The account number for your account with the carrier. |
POST /v-beta/ltl/connections/oakh
POST /v-beta/ltl/connections/oakh HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"credentials": {
"key": "API Key provided by the carrier.",
"username": "Email address used to register for MyOHFL at oakh.com.",
"account_number": "The account number for your account with the carrier."
}
}
Old Dominion Freight Lines Inc.
| Property | Type | Required | Description |
|---|---|---|---|
username | string | ✔ | Your ODFL4me Username. |
password | string | ✔ | Your ODFL4me Password. |
account_number | string | ✔ | The account number for your account with the carrier. |
POST /v-beta/ltl/connections/odfl
POST /v-beta/ltl/connections/odfl HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"credentials": {
"username": "Your ODFL4me username.",
"password": "Your ODFL4me password.",
"account_number": "The account number for your account with the carrier."
}
}
Pitt-Ohio
| Property | Type | Required | Description |
|---|---|---|---|
username | string | ✔ | Your works.pittohio.com Username. |
password | string | ✔ | Your works.pittohio.com Password. |
key | string | ✔ | Your irv numeric identifier value. |
account_number | string | ✔ | The account number for your account with the carrier. |
POST /v-beta/ltl/connections/pitd
POST /v-beta/ltl/connections/pitd HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"credentials": {
"username": "Your works.pittohio.com Username.",
"password": "Your works.pittohio.com Password.",
"key": "Your irv numeric identifier value.",
"account_number": "The account number for your account with the carrier."
}
}
R & L Carriers Inc.
This connection information applies to the following SCACs: RLCA, RFLFC, RNLO, RLRR, RLFV, RLCA. Contact the carrier if you are unsure of which SCAC to use.
| Property | Type | Required | Description |
|---|---|---|---|
key | string | ✔ | API Key generated by the carrier after registering for their B2B API Tools. |
account_number | string | ✔ | The account number for your account with the carrier. |
POST /v-beta/ltl/connections/:carrier_code
POST /v-beta/ltl/connections/rnlo HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"credentials": {
"key": "API Key generated by the carrier after registering for their B2B API Tools.",
"account_number": "The account number for your account with the carrier."
}
}
Roadrunner Transportation Services Inc.
| Property | Type | Required | Description |
|---|---|---|---|
username | string | ✔ | Your freight.rrts.com Username. |
password | string | ✔ | Your freight.rrts.com Password. |
secret | string | API Secret Key - Required for Document only. | |
key | string | Application Identifier - Required for Document only. | |
account_number | string | ✔ | The account number for your account with the carrier. |
POST /v-beta/ltl/connections/rdfs
POST /v-beta/ltl/connections/rdfs HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"credentials": {
"username": "Your freight.rrts.com Username.",
"password": "Your freight.rrts.com Password.",
"secret": "API Secret Key - Required for Document only.",
"key": "Application Identifier - Required for Document only.",
"account_number": "The account number for your account with the carrier."
}
}
SAIA Motor Freight Lines Inc.
| Property | Type | Required | Description |
|---|---|---|---|
username | string | ✔ | Your saia.com Username. |
password | string | ✔ | Your saia.com Password. |
account_number | string | ✔ | The account number for your account with the carrier. |
POST /v-beta/ltl/connections/saia
POST /v-beta/ltl/connections/saia HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"credentials": {
"username": "Your saia.com Username.",
"password": "Your saia.com Password.",
"account_number": "The account number for your account with the carrier."
}
}
Southeastern Freight Lines
| Property | Type | Required | Description |
|---|---|---|---|
username | string | ✔ | Your MySEFL Username. |
password | string | ✔ | Your MySEFL Password. |
account_number | string | ✔ | The account number for your account with the carrier. |
POST /v-beta/ltl/connections/sefl
POST /v-beta/ltl/connections/sefl HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"credentials": {
"username": "Your MySEFL Username.",
"password": "Your MySEFL Password.",
"account_number": "The account number for your account with the carrier."
}
}
Standard Forwarding
| Property | Type | Required | Description |
|---|---|---|---|
username | string | ✔ | STDF username. |
password | string | ✔ | STDF password. |
account_number | string | ✔ | The account number for your account with the carrier. |
POST /v-beta/ltl/connections/stdf
POST /v-beta/ltl/connections/stdf HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"credentials": {
"username": "STDF username.",
"password": "STDF password.",
"account_number": "The account number for your account with the carrier."
}
}
UPS Freight
| Property | Type | Required | Description |
|---|---|---|---|
username | string | ✔ | Your ups.com Username. |
password | string | ✔ | Your ups.com Password. |
key | string | ✔ | Access Key. |
account_number | string | ✔ | The account number for your account with the carrier. |
POST /v-beta/ltl/connections/upgf
POST /v-beta/ltl/connections/upgf HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"credentials": {
"username": "Your ups.com Username.",
"password": "Your ups.com Password.",
"key": "Access Key.",
"account_number": "The account number for your account with the carrier."
}
}
Ward Trucking
| Property | Type | Required | Description |
|---|---|---|---|
username | string | ✔ | Your wardtlctools.com Username. |
password | string | ✔ | Your wardtlctools.com Password. |
account_number | string | ✔ | The account number for your account with the carrier. |
POST /v-beta/ltl/connections/ward
POST /v-beta/ltl/connections/ward HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"credentials": {
"username": "Your wardtlctools.com Username.",
"password": "Your wardtlctools.com Password.",
"account_number": "The account number for your account with the carrier."
}
}
XPO Logistics (Con-Way Freight)
This connection information applies to the following SCACs: CNWY, CWCE, CWSE, CWNO, XPOL, and CWWE. Contact the carrier if you are unsure of which SCAC to use.
| Property | Type | Required | Description |
|---|---|---|---|
username | string | ✔ | Your ltl.xpo.com Username. |
password | string | ✔ | Your ltl.xpo.com Password. |
key | string | ✔ | Key provided by carrier for API consumer access. |
account_number | string | ✔ | The account number for your account with the carrier. |
POST /v-beta/ltl/connections/:carrier_code
POST /v-beta/ltl/connections/xpol HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"credentials": {
"username": "Your ltl.xpo.com Username.",
"password": "Your ltl.xpo.com Password.",
"key": "Key provided by carrier for API consumer access.",
"account_number": "The account number for your account with the carrier."
}
}
YRC Freight Inc
This connection information applies to the following SCACs: RDWY, YFSY, and YRCA. Contact the carrier if you are unsure of which SCAC to use.
| Property | Type | Required | Description |
|---|---|---|---|
username | string | ✔ | Your my.yrcfreight.com Username. |
password | string | ✔ | Your my.yrcfreight.com Password. |
account_number | string | ✔ | The account number for your account with the carrier. |
POST /v-beta/ltl/connections/:carrier_code
POST /v-beta/ltl/connections/rwdy HTTP/1.1
Host: api.shipengine.com
API-Key: __YOUR_API_KEY_HERE__
Content-Type: application/json
{
"credentials": {
"username": "Your my.yrcfreight.com Username.",
"password": "Your my.yrcfreight.com Password.",
"account_number": "The account number for your account with the carrier."
}
}